Package org.opencv.tracking

## Class Tracker

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.Tracker

- Direct Known Subclasses:
    `TrackerBoosting`, `TrackerCSRT`, `TrackerGOTURN`, `TrackerKCF`, `TrackerMedianFlow`, `TrackerMIL`, `TrackerMOSSE`, `TrackerTLD`

      public class Tracker
      extends Algorithm

  Base abstract class for the long-term tracker:

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Tracker​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Tracker` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `boolean` | `init​(Mat image, Rect2d boundingBox)` | Initialize the tracker with a known bounding box that surrounded the target
    `boolean` | `update​(Mat image, Rect2d boundingBox)` | Update the tracker, find the new most likely bounding box for the target

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tracker

          protected Tracker​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Tracker __fromPtr__​(long addr)

    - #### init

          public boolean init​(Mat image,
                              Rect2d boundingBox)

      Initialize the tracker with a known bounding box that surrounded the target
      Parameters:
        `image` - The initial frame
        `boundingBox` - The initial bounding box
      Returns:
        True if initialization went succesfully, false otherwise

    - #### update

          public boolean update​(Mat image,
                                Rect2d boundingBox)

      Update the tracker, find the new most likely bounding box for the target
      Parameters:
        `image` - The current frame
        `boundingBox` - The bounding box that represent the new target location, if true was returned, not modified otherwise
      Returns:
        True means that target was located and false means that tracker cannot locate target in current frame. Note, that latter *does not* imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`